\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.3 - 2D Snap Rounding

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions
SRTraits_2::ConstructIsoRectangle_2 Concept Reference
Concepts

## Definition

Refines:
  `AdaptableQuaternaryFunction`

Has Models:
  `Snap_rounding_traits_2::Construct_iso_rectangle_2`

## Public Member Functions
Iso_rectangle_2 | operator() (Point_2 left, Point_2 right, Point_2 bottom, Point_2 top)
| introduces an iso-oriented rectangle fo whose minimal `x` coordinate is the one of `left`, the maximal `x` coordinate is the one of `right`, the minimal `y` coordinate is the one of `bottom`, the maximal `y` coordinate is the one of `top`. More...

## Member Function Documentation

Iso_rectangle_2 SRTraits_2::ConstructIsoRectangle_2::operator() | ( | Point_2 | left,
|  | Point_2 | right,
|  | Point_2 | bottom,
|  | Point_2 | top
| ) |  |

introduces an iso-oriented rectangle fo whose minimal `x` coordinate is the one of `left`, the maximal `x` coordinate is the one of `right`, the minimal `y` coordinate is the one of `bottom`, the maximal `y` coordinate is the one of `top`.

}